module CCommon
    use CCommonVariables
    implicit none    
    public    
    contains
    ! Input routines
    subroutine SetStandRack(v)
	    implicit none
	    integer, intent(in) :: v
        if(Common%StandRack == v) return
	    Common%StandRack = v
        ! call Common%OnStandRackChange%Run(v)
    end subroutine

    integer function GetStandRack()
	    implicit none
	    GetStandRack = Common%StandRack
    end function
    
    
    ! subroutine SetStandRack_WN(v)
    ! !DEC$ ATTRIBUTES DLLEXPORT :: SetStandRack_WN
    ! !DEC$ ATTRIBUTES ALIAS: 'SetStandRack_WN' :: SetStandRack_WN
	!     implicit none
	!     integer, intent(in) :: v
    !     call SetStandRack(v)
    ! end subroutine
    
    
    
    ! ! Output routines
    ! logical function GetDrillWatchOperationMode()
    ! !DEC$ ATTRIBUTES DLLEXPORT :: GetDrillWatchOperationMode
    ! !DEC$ ATTRIBUTES ALIAS: 'GetDrillWatchOperationMode' :: GetDrillWatchOperationMode
	!     implicit none
	!     GetDrillWatchOperationMode = Common%DrillWatchOperationMode
    ! end function
    
    
    ! integer function GetStandRack_WN()
    ! !DEC$ ATTRIBUTES DLLEXPORT :: GetStandRack_WN
    ! !DEC$ ATTRIBUTES ALIAS: 'GetStandRack_WN' :: GetStandRack_WN
	!     implicit none
	!     GetStandRack_WN = Common%StandRack
    ! end function
    
    
    
    
end module CCommon